Bug 193371 - AXSelected attribute on RadioButton should not be settable.
Summary: AXSelected attribute on RadioButton should not be settable.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P3 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-01-11 16:46 PST by Eric Liang
Modified: 2019-01-19 15:31 PST (History)
11 users (show)

See Also:


Attachments
Patch (7.80 KB, patch)
2019-01-17 18:33 PST, Eric Liang
no flags Details | Formatted Diff | Diff
Patch (7.81 KB, patch)
2019-01-17 18:38 PST, Eric Liang
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews202 for win-future (12.87 MB, application/zip)
2019-01-17 20:38 PST, Build Bot
no flags Details
Patch (8.62 KB, patch)
2019-01-18 09:55 PST, Eric Liang
no flags Details | Formatted Diff | Diff
Patch (8.64 KB, patch)
2019-01-18 11:30 PST, Eric Liang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Liang 2019-01-11 16:46:58 PST
Textfields and checkboxes work with the trackpad. There are issues with radio buttons. This bug is present because radio button’s AXSelected attribute is writable (notice the (W) in the attached screenshots). Checking this attribute seems correct in VO. If this attribute is not writable, then the trackpad should work correctly.

The link for the checkboxes is: https://www.w3schools.com/tags/tryit.asp?filename=tryhtml5_input_type_checkbox
The link for the radio buttons is: https://www.w3schools.com/tags/tryit.asp?filename=tryhtml5_input_type_radio

We decided that this shoould get fixed on the WebKit side


While trying to use the Voice Over Trackpad Commander to select some form fields, like check boxes and radial buttons, on various websites, the the single finger double tap would not select the field.
Comment 1 Eric Liang 2019-01-17 15:14:06 PST
<rdar://problem/30207716>
Comment 2 Eric Liang 2019-01-17 18:33:56 PST
Created attachment 359438 [details]
Patch
Comment 3 Build Bot 2019-01-17 18:35:58 PST
Attachment 359438 [details] did not pass style-queue:


ERROR: LayoutTests/ChangeLog:8:  Line contains tab character.  [whitespace/tab] [5]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Eric Liang 2019-01-17 18:38:49 PST
Created attachment 359439 [details]
Patch
Comment 5 Build Bot 2019-01-17 20:38:06 PST
Comment on attachment 359439 [details]
Patch

Attachment 359439 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/10791412

New failing tests:
accessibility/set-selected-editable.html
Comment 6 Build Bot 2019-01-17 20:38:18 PST
Created attachment 359445 [details]
Archive of layout-test-results from ews202 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews202  Port: win-future  Platform: CYGWIN_NT-6.1-2.10.0-0.325-5-3-x86_64-64bit
Comment 7 chris fleizach 2019-01-18 07:31:43 PST
Comment on attachment 359439 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=359439&action=review

> LayoutTests/accessibility/set-selected-editable.html:93
> +              var axElement = accessibilityController.accessibleElementById("test" + i);

probably simpler if you encode the true/false values into the DOM as a attribute on the nodes

<div selected-expected-value="true"

then you don't neeed this list
Comment 8 Eric Liang 2019-01-18 09:55:59 PST
Created attachment 359500 [details]
Patch
Comment 9 chris fleizach 2019-01-18 10:13:54 PST
Comment on attachment 359500 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=359500&action=review

> LayoutTests/accessibility/set-selected-editable.html:9
> +<div id="test0" role="table" selected-expected-value="false">

can you put all this stuff in a <div> and then at the end of the test mark

div.style.visibility = hidden;

so that the first 17 lines in the expected file is not garbage. the results file will just look like a series of PASS then... thanks

> LayoutTests/platform/win/TestExpectations:1482
> +webkit.org/b/193371 [ Release ] accessibility/set-selected-editable.html [ Skip ]

I think if you omit Debug/Release it will just do both
Comment 10 Eric Liang 2019-01-18 11:30:04 PST
Created attachment 359516 [details]
Patch
Comment 11 ews-feeder 2019-01-19 14:14:23 PST
Comment on attachment 359516 [details]
Patch

Rejecting attachment 359516 [details] from commit-queue.

ericliang@apple.com does not have committer permissions according to https://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/contributors.json.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/contributors.json by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 12 WebKit Commit Bot 2019-01-19 15:31:49 PST
Comment on attachment 359516 [details]
Patch

Clearing flags on attachment: 359516

Committed r240205: <https://trac.webkit.org/changeset/240205>
Comment 13 WebKit Commit Bot 2019-01-19 15:31:50 PST
All reviewed patches have been landed.  Closing bug.